libdatrie1-bin_0.2.12-2_i386.deb


Advertisement

Description

libdatrie1-bin - Programs for double-array trie library

Property Value
Distribution Debian Sid
Repository Debian Main i386
Package filename libdatrie1-bin_0.2.12-2_i386.deb
Package name libdatrie1-bin
Package version 0.2.12
Package release 2
Package architecture i386
Package type deb
Category misc role::program
Homepage https://linux.thai.net/projects/libthai
License -
Maintainer Theppitak Karoonboonyanan <thep@debian.org>
Download size 35.61 KB
Installed size 67.00 KB

Alternatives

Package Version Architecture Repository
libdatrie1-bin_0.2.12-2_amd64.deb 0.2.12 amd64 Debian Main
libdatrie1-bin - - -

Requires

Name Value
libc6 >= 2.7
libdatrie1 >= 0.2.0

Download

Type URL
Mirror ftp.br.debian.org
Binary Package libdatrie1-bin_0.2.12-2_i386.deb
Source Package libdatrie

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libdatrie1-bin deb package:
    # sudo apt-get install libdatrie1-bin

Files

Path
/usr/bin/trietool
/usr/bin/trietool-0.2
/usr/share/doc/libdatrie1-bin/NEWS.gz
/usr/share/doc/libdatrie1-bin/README
/usr/share/doc/libdatrie1-bin/changelog.Debian.gz
/usr/share/doc/libdatrie1-bin/changelog.gz
/usr/share/doc/libdatrie1-bin/copyright
/usr/share/man/man1/trietool-0.2.1.gz
/usr/share/man/man1/trietool.1.gz

Changelog

2019-02-01 - Theppitak Karoonboonyanan <thep@debian.org>
libdatrie (0.2.12-2) unstable; urgency=medium
[ Ondřej Nový ]
* d/copyright: Change Format URL to correct one
[ Theppitak Karoonboonyanan ]
* Drop iceweasel from libdatrie-doc Suggests
* Switch to dh level 12
- d/control: B-Dep on debhelper-compat (= 12) instead of debhelper
- d/compat: Removed
* d/copyright: Update years on packaging
* Bump Standards-Version to 4.3.0 (no changes)
* d/gbp.conf: Added, following DEP-14
2018-06-19 - Theppitak Karoonboonyanan <thep@debian.org>
libdatrie (0.2.12-1) unstable; urgency=medium
* Add Depends: pkg-config to libdatrie-dev
* Update package description as per upstream
* New upstream version 0.2.12
2018-04-23 - Theppitak Karoonboonyanan <thep@debian.org>
libdatrie (0.2.11-1) unstable; urgency=medium
* New upstream version 0.2.11
- Fix trie_state_get_data() as caught by python-datrie packaging
(Closes: #894278)
* d/copyright: Update upstream years
* d/control: Add "Rules-Requires-Root: no"
The build output has been verified to be bit-by-bit identical
with and without.
* Bump Standards-Version to 4.1.4 (no changes)
2018-02-14 - Theppitak Karoonboonyanan <thep@debian.org>
libdatrie (0.2.10-7) unstable; urgency=medium
* Update Vcs fields for migration to salsa.debian.org
* Bump debhelper compat to level 11
- d/compat: 10 -> 11
- d/control: Bump debhelper version to >= 11
- d/rules, d/libdatrie-doc.docs, -d/libdatrie-doc.install:
Use dh 11 dh_installdocs to install generated doc directly
instead of using upstream install, as 'nodoc' DEB_BUILD_OPTIONS
is now supported with more concise commands.
- d/libdatrie-doc.docs:
Don't install NEWS et. al., to avoid conflicts with libdatrie1
* Bump Standards-Version to 4.1.3 (no changes)
* d/copyright: Update year on packaging
* d/control: Update reference URLs in description to HTTPS
2017-12-26 - Theppitak Karoonboonyanan <thep@debian.org>
libdatrie (0.2.10-6) unstable; urgency=medium
* Add autopkgtest test suite
- d/control: Add Testsuite: entry
- +d/tests/control, +d/tests/build: Add test building against libdatrie
* Add test for trietool utility
- d/tests/control, +d/tests/tool: Add test suite for trietool
* d/control: Drop unneeded Testsuite field [lintian]
- Remove Testsite field
- Bump dpkg-dev versioned dep to 1.17.1~, as suggested by lintian
* d/watch: Use HTTPS on watch URL [lintian]
* d/copyright: Use HTTPS in Source field
* d/rules: Use all hardening flags [lintian]
* Bump Standards-Version to 4.1.2 (no changes)
2017-07-27 - Theppitak Karoonboonyanan <thep@debian.org>
libdatrie (0.2.10-5) unstable; urgency=medium
* Bump debhelper compat to level 10
* d/rules: Replace $(MAKE) with dh_auto_* to gain dh 10 parallelism,
except dh_auto_install, as it can't reach install-am target
* Do not generate/install doc on nodoc DEB_BUILD_OPTIONS
(Policy 4.0.0 Section 4.9.1)
* Bump Standards-Version to 4.0.0, all changes done.
* Update debian/copyright
- Use HTTPS in Format URL
- Update upstream author's e-mail address
- Update copyright years
* d/control: Use HTTPS in upstream Homepage
* Drop unnecessary dh-autoreconf B-Dep [lintian]
debhelper 10 already pulls it in.
2016-10-14 - Theppitak Karoonboonyanan <thep@debian.org>
libdatrie (0.2.10-4) unstable; urgency=medium
* Correctly install doc according to Policy 12.3
- Install doc under libdatrie1 doc dir (/usr/share/doc/libdatrie1)
not a separate dir without the ending "1".

See Also

Package Description
libdatrie1_0.2.12-2_i386.deb Double-array trie library
libdavix0v5_0.7.3-1_i386.deb Runtime library for davix
libdawgdic-dev_0.4.5-2_all.deb C++ library for DAWG dictionaries
libdaxctl-dev_63-1.3_i386.deb Development files for libdaxctl
libdaxctl1_63-1.3_i386.deb Utility library for managing the device DAX subsystem
libdazzle-1.0-0_3.30.2-2_i386.deb feature-filled library for GTK+ and GObject
libdazzle-1.0-dev_3.30.2-2_i386.deb feature-filled library for GTK+ and GObject - development files
libdazzle-doc_3.30.2-2_all.deb feature-filled library for GTK+ and GObject - documentation
libdazzle-tools_3.30.2-2_i386.deb feature-filled library for GTK+ and GObject - tools
libdb++-dev_5.3.1+nmu1_i386.deb Berkeley Database Libraries for C++ [development]
libdb-dev_5.3.1+nmu1_i386.deb Berkeley Database Libraries [development]
libdb-file-lock-perl_0.05-4_all.deb wrapper adding locking for the DB_File module
libdb-java-dev_5.3.1+nmu1_i386.deb Berkeley Database Libraries for Java [development]
libdb-java_5.3.1+nmu1_all.deb Berkeley Database Libraries for Java
libdb-je-java_3.3.98-2_all.deb Oracle Berkeley Database Java Edition
Advertisement
Advertisement